## displayjack 2.1.197

=== CMakeLists.txt ===
# Copyright (C) 2020 Uniontech Technology Co., Ltd.
#
# Author:     xinbo wang <wangxinbo@uniontech.com>
#
# Maintainer: xinbo wang <wangxinbo@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.13)

# If do't define version number, specify the version number
set (VERSION "1.0.0" CACHE STRING "define project version")

set(BIN_NAME displayjack)

set(PROTOCOLS_PATH ${CMAKE_SOURCE_DIR}/src/protocols)
set(COMMON_PATH ${CMAKE_SOURCE_DIR}/src/common)

project(${BIN_NAME}
    HOMEPAGE_URL https://github.com/linuxdeepin/dtk-template
    DESCRIPTION "display jack module"
    VERSION ${VERSION}
)
enable_language(C)

if (CMAKE_BUILD_TYPE STREQUAL "Debug")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fno-omit-frame-pointer")
endif ()

if(dtkclipboardace_FOUND)
    set(BUILD_TESTING ON)
endif ()

# specify include modules
include(CheckIncludeFiles)
include(CheckLibraryExists)
include(CheckFunctionExists)
include(FindPkgConfig)
include(FeatureSummary)
include(GNUInstallDirs)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

include(UseDoxygenDoc)

include_directories("include/" ${CMAKE_SOURCE_DIR}/src)
link_directories(${CMAKE_BINARY_DIR})
add_definitions("-Wall -D_GNU_SOURCE")

# ECM setup
find_package(ECM 5.54.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${CMAKE_SOURCE_DIR}/cmake/Modules)

# wayland client
find_package(Wayland 1.13 COMPONENTS Client)
set_package_properties(Wayland PROPERTIES TYPE REQUIRED)
find_package(WaylandScanner)

# Install settings
if (CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    set(CMAKE_INSTALL_PREFIX /usr)
endif ()

add_subdirectory(src)
add_subdirectory(dbus)
add_subdirectory(qt)

set(BUILD_DOCS ON CACHE BOOL "Generate doxygen-based documentation")
find_package(Doxygen)

if (BUILD_DOCS AND DOXYGEN_FOUND)
    add_doxygen_doc(
        BUILD_DIR
            ${CMAKE_CURRENT_BINARY_DIR}/_build
        DOXY_FILE
            ${CMAKE_CURRENT_SOURCE_DIR}/docs/Doxyfile.in
        TARGET_NAME
            docs
        COMMENT
            "HTML documentation"
    )
endif ()

# test
if (BUILD_TESTING)
    add_subdirectory(example)
#    add_subdirectory(tests)
endif()

install(FILES ${PROJECT_SOURCE_DIR}/docs/displayjack_development_manual.pdf DESTINATION "/usr/share/doc/displayjack/")

=== dbus/CMakeLists.txt ===
# Copyright (C) 2020 Uniontech Technology Co., Ltd.
#
# Author:     xinbo wang <wangxinbo@uniontech.com>
#
# Maintainer: xinbo wang <wangxinbo@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(prohibitscreenshot)
add_subdirectory(watermarkdbus)

=== example/CMakeLists.txt ===
# Copyright (C) 2020 Uniontech Technology Co., Ltd.
#
# Author:     xinbo wang <wangxinbo@uniontech.com>
#
# Maintainer: xinbo wang <wangxinbo@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(security_copy_test)
add_subdirectory(ace)
add_subdirectory(ace_test)
add_subdirectory(wmjack)
add_subdirectory(uace_ext_test)

=== qt/CMakeLists.txt ===
set(BIN_NAME qtdtkdisplay)
set(SECURITY_INCLUDE ${CMAKE_SOURCE_DIR}/include/qt/wmjack)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(${SECURITY_INCLUDE})
include_directories(${COMMON_PATH})

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt5Core)

set(SCREEN_LIB_SRCS
    wmjack/dwmjack.cpp
    wmjack/dwmjack_p.h
    ${SECURITY_INCLUDE}/dwmjack.h
    )

set(SCREEN_LIB_HEADERS
    ${SECURITY_INCLUDE}/dwmjack.h
    )

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(../include/wmjack/)

file(GLOB_RECURSE SRCS "../include/wmjack/dtk_wmjack.h")

add_library(${BIN_NAME} SHARED ${SCREEN_LIB_SRCS} ${SCREEN_LIB_HEADERS} ${SRCS})

target_link_libraries(${BIN_NAME} PUBLIC Qt5::Core  dtkwmjack)

set_target_properties(${BIN_NAME} PROPERTIES
    VERSION ${CMAKE_PROJECT_VERSION}
    SOVERSION ${CMAKE_PROJECT_VERSION_MAJOR})

target_compile_definitions(${BIN_NAME} PRIVATE VERSION="${CMAKE_PROJECT_VERSION}")

install(FILES ${SCREEN_LIB_HEADERS} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${BIN_NAME})
install(TARGETS ${BIN_NAME} DESTINATION ${CMAKE_INSTALL_LIBDIR})

=== src/CMakeLists.txt ===
# Copyright (C) 2020 Uniontech Technology Co., Ltd.
#
# Author:     xinbo wang <wangxinbo@uniontech.com>
#
# Maintainer: xinbo wang <wangxinbo@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

add_subdirectory(uace)
add_subdirectory(clipboard-ace)
add_subdirectory(screen-ace)
add_subdirectory(wmjack)
add_subdirectory(watermark)
add_subdirectory(usm)
add_subdirectory(clipboard)
add_subdirectory(input)

=== tests/CMakeLists.txt ===
# Copyright (C) 2020 Uniontech Technology Co., Ltd.
#
# Author:     xinbo wang <wangxinbo@uniontech.com>
#
# Maintainer: xinbo wang <wangxinbo@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(TEST_NAME ut-displayjack)

file(GLOB_RECURSE INCLUDE_FILES "../include/qt/wmjack*.h" "../include/wmjack/dtk_wmjack.h")
file(GLOB_RECURSE SRCS
    "../qt/wmjack/*.h"
    "../qt/wmjack/*.cpp"
)

include_directories(
    "../include/wmjack/"
    "../include/qt/wmjack"
    "../qt/wmjack"
)

set(TEST_FILES
    main.cpp
    ./wmjack/ut_wmjack.cpp
    )

add_definitions(-DUSE_FAKE_INTERFACE)
add_executable(${TEST_NAME}
    ${INCLUDE_FILES}
    ${SRCS}
    ${TEST_FILES}
    ${DFAKE_INTERFACE_DBUS_XML}
)

find_package(PkgConfig REQUIRED)
find_package(Qt5Core)

target_include_directories(${TEST_NAME} PUBLIC
    Qt5::Core
)

target_link_libraries(${TEST_NAME} PRIVATE
    Qt5::Core
    -lpthread
    -lgcov
    -lgtest
    dtkwmjack
    qtdtkdisplay
)

if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
    target_compile_options(${TEST_NAME} PRIVATE -fprofile-instr-generate -ftest-coverage)
endif()
if (CMAKE_CXX_COMPILER_ID STREQUAL "GNU")
    target_compile_options(${TEST_NAME} PRIVATE -fprofile-arcs -ftest-coverage)
endif()

enable_testing()
add_test(NAME ${TEST_NAME} COMMAND ${TEST_NAME})

=== dbus/prohibitscreenshot/CMakeLists.txt ===
# Copyright (C) 2020 Uniontech Technology Co., Ltd.
#
# Author:     xinbo wang <wangxinbo@uniontech.com>
#
# Maintainer: xinbo wang <wangxinbo@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.13)

project(prohibitscreenshot)

option(USE_32BITS "Compile for 32bits processors(linux only)" OFF)

if(USE_32BITS)
    message(STATUS "using 32bits")
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -m32")
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -m32")
else()
endif(USE_32BITS)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED True)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/dbus/prohibitscreenshot/cmake/Modules")

# Required to use std threads
find_package(Threads REQUIRED)
find_package(Qt5Core REQUIRED)
find_package(Qt5Widgets REQUIRED)
find_package(Qt5Gui REQUIRED)
find_package(Qt5DBus REQUIRED)
find_package(PolkitQt5-1)
find_package(X11)
find_package(PkgConfig REQUIRED)
find_package(KF5Wayland REQUIRED)
pkg_search_module(DBUSGLIB REQUIRED dbus-glib-1)

include_directories(${PROJECT_SOURCE_DIR})
include_directories(${DBUSGLIB_INCLUDE_DIRS})

set(SOURCES_PRELOAD_FILES
    dbusmanager.cpp
    window-system/x11.cpp
    utils/string.cpp
    utils/paths.cpp
    config/config.cpp
    config/xml-config-loader.cpp
    prohibitedwindowdecision.cpp
    prohibitscreenshot.cpp
)

install(
    FILES
    ace-config/entity/prohibitscreenshot.json
    DESTINATION
    "/usr/share/uos/usec/entity.d"
)

install(
    FILES
    ace-config/mode/prohibitscreenshot.json
    DESTINATION
    "/usr/share/uos/usec/mode.d"
)

install(FILES ${PROJECT_SOURCE_DIR}/installation/prohibitscreenshotDbus.conf DESTINATION "/usr/share/prohibitscreenshot")
install(FILES ${PROJECT_SOURCE_DIR}/installation/sessionRemoved.sh DESTINATION "/etc/xdg/autostop" PERMISSIONS OWNER_EXECUTE OWNER_WRITE OWNER_READ GROUP_EXECUTE GROUP_READ WORLD_EXECUTE WORLD_READ)

add_subdirectory(dbus_service)

=== dbus/watermarkdbus/CMakeLists.txt ===
# Copyright (C) 2020 Uniontech Technology Co., Ltd.
#
# Author:     xinbo wang <wangxinbo@uniontech.com>
#
# Maintainer: xinbo wang <wangxinbo@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

# Qt对cmake版本的最小要求
cmake_minimum_required(VERSION 3.13.0)

set(TARGET_PATH "${CMAKE_INSTALL_PREFIX}/bin")
set(TARGET_NAME "deepin-watermarkdbus")

# 项目命名
project(deepin-watermarkdbus)

# 有些项目会动态生成头文件,项目中需要引入它,因此需要将output目录也include进来
# 等同于INCLUDE_DIRECTORY(${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR})
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Qt5 对C++版本推荐至少11
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

# Qt特有的编译器需要打开,默认是关闭的
set(CMAKE_AUTOMOC ON) # Meta-Object Compiler
set(CMAKE_AUTORCC ON) # Resource Compiler
set(CMAKE_AUTOUIC ON) # User Interface Compiler

# 寻找Qt的库
# Qt5 COMPONENTS Widgets：寻找Qt库中的Widget模块
# REQUIRED： 意味着找不到报错并不会继续下去
find_package(Qt5 COMPONENTS Core Gui Widgets X11Extras DBus Concurrent REQUIRED)
find_package(X11)
# 当前模块的头文件肯定要include进来
include_directories(./)

# 当前模块下的cpp跟CMakeList.txt在同级目录
#aux_source_directory(./ SRC_LIST)

#main.cpp
set(SRC_LIST deepinwatermarkdbus.cpp watermarkdbus.cpp)

set(LIBS
    Qt5::Core
    Qt5::Gui
    Qt5::Widgets
    Qt5::X11Extras
    Qt5::DBus
    Qt5::Concurrent
    X11
    Xext
    -ldl
)

# 1. 将<input>文件里面的内容全部复制到<output>文件中
# 2. 根据参数规则,替换@VAR@或${VAR}变量
configure_file(com.deepin.watermark.service.in com.deepin.watermark.service)

install(
    FILES
    deepin-watermark.service
    DESTINATION
    "/usr/lib/systemd/user"
    )

install(
    PROGRAMS
    runwatermark
    DESTINATION
    "/usr/bin"
    )

install_files(
    "/share/dbus-1/services"
    FILES
    ${CMAKE_CURRENT_BINARY_DIR}/com.deepin.watermark.service
)

qt5_add_dbus_adaptor(
    watermark_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/com.deepin.watermark.xml
    deepinwatermarkdbus.h
    DeepinWatermarkDbus
)

add_executable(${PROJECT_NAME} ${SRC_LIST} ${watermark_SRCS})

# 链接所有其他模块到当前模块
target_link_libraries(${PROJECT_NAME} PRIVATE ${LIBS})

#install_targets(${CMAKE_INSTALL_BINDIR} ${PROJECT_NAME})
install(TARGETS ${PROJECT_NAME} DESTINATION ${CMAKE_INSTALL_BINDIR})

=== example/ace/CMakeLists.txt ===
# Copyright (C) 2020 Uniontech Technology Co., Ltd.
#
# Author:     xinbo wang <wangxinbo@uniontech.com>
#
# Maintainer: xinbo wang <wangxinbo@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.13)
project(ns_demo)

set(CMAKE_CXX_STANDARD 14)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

include_directories(../../include/clipboard-ace/)
include_directories(../../include/)

find_package(Qt5 COMPONENTS Core REQUIRED)

find_package(dtkclipboardace REQUIRED)

add_executable(ns_demo main.cpp)

target_link_libraries(ns_demo
        Qt5::Core
        dtkclipboardace
        dtkwmjack)

=== example/ace_test/CMakeLists.txt ===
# Copyright (C) 2020 Uniontech Technology Co., Ltd.
#
# Author:     xinbo wang <wangxinbo@uniontech.com>
#
# Maintainer: xinbo wang <wangxinbo@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(BIN_NAME control-client)

include_directories(${CMAKE_CURRENT_BINARY_DIR})
include_directories(../../include/clipboard-ace/)

file(GLOB_RECURSE SRCS
    "../include/clipboard-ace/dnd_security.h"
    main.c
    ${CMAKE_CURRENT_BINARY_DIR}/wayland-dde-security-client-protocol.h
)


find_package(dtkclipboardace REQUIRED)

add_executable(${BIN_NAME} ${SRCS})

target_link_libraries(${BIN_NAME} PRIVATE dtkclipboardace dtkwmjack)

=== example/security_copy_test/CMakeLists.txt ===
# Copyright (C) 2020 Uniontech Technology Co., Ltd.
#
# Author:     xinbo wang <wangxinbo@uniontech.com>
#
# Maintainer: xinbo wang <wangxinbo@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

cmake_minimum_required(VERSION 3.13)

set(PROJECT_NAME "CopySecurityTest")

set(VERSION "1.0.0" CACHE STRING "define project version")

project(${PROJECT_NAME}
    HOMEPAGE_URL https://github.com/linuxdeepin/dtk-template
    DESCRIPTION "dtk display module"
    VERSION ${VERSION}
)

set(CMAKE_VERBOSE_MAKEFILE ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11 -Wall")

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

include_directories(../../include/clipboard-ace/)

# Find the library
find_package(PkgConfig REQUIRED)
find_package(Qt5 COMPONENTS
    Core
    Gui
    Widgets
    REQUIRED)

find_package(dtkclipboardace REQUIRED)

if(dtkclipboardace_FOUND)
    MESSAGE(STATUS "DTKDISPLAY_FOUND = ${dtkclipboardace_FOUND}.")
else()
    MESSAGE(STATUS "DTKDISPLAY_FOUND not found.")
endif()

FILE(GLOB SC_FILES "*.cpp" "*.h")
FILE(GLOB UI_FILES "./*.ui")

add_executable(${PROJECT_NAME} ${SC_FILES} ${RCC_FILES})

target_link_libraries(${PROJECT_NAME} Qt5::Core Qt5::Gui Qt5::Widgets)
target_link_libraries(${PROJECT_NAME} dtkclipboardace)

=== example/uace_ext_test/CMakeLists.txt ===
# Copyright (C) 2020 Uniontech Technology Co., Ltd.
#
# Author:     xinbo wang <wangxinbo@uniontech.com>
#
# Maintainer: xinbo wang <wangxinbo@uniontech.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

set(BIN_NAME uace_ext_test)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)

find_package(Qt5Widgets)
find_package(Qt5Core)
find_package(Qt5Gui)
find_package(X11)
find_package(uaceExtDll)

FILE(GLOB SRC_FILES "./*.cpp")
FILE(GLOB HEAD_FILES "./*.h")
FILE(GLOB UI_FILES "./*.ui")

include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_executable(${BIN_NAME} ${SRC_FILES} ${HEAD_FILES} ${RCC_FILES})

target_link_libraries(${BIN_NAME} Qt5::Widgets Qt5::Core Qt5::Gui uaceExtDll X11)

=== debian/changelog ===
displayjack (2.1.197) unstable; urgency=medium

  * Bug fix:
    + 295627 fix: displaying watermarks on the lock screen

 -- rewine <luhongxu@uniontech.com>  Fri, 27 Dec 2024 13:28:24 +0800

displayjack (2.1.196) unstable; urgency=medium

  * Bug fix:
    + 274755 fix: compile error

 -- guoyao <guoyao@uniontech.com>  Thu, 26 Dec 2024 10:07:32 +0800

displayjack (2.1.195) unstable; urgency=medium

  * Bug fix:
    + 288297 fix: change user login don't display watermark.

 -- xinbo wang <wangxinbo@uniontech.com>  Mon, 2 Dec 2024 13:41:51 +0800

displayjack (2.1.194) unstable; urgency=medium

  * Bug fix:
    + 284587 fix: use wl_display_roundtrip in init function

 -- huangzeming <huangzeming@uniontech.com>  Wed, 27 Nov 2024 15:24:42 +0800

displayjack (2.1.193) unstable; urgency=medium

  * Bug fix:
    + 288297 fix: shutdown don't display watermark.

 -- xinbo wang <wangxinbo@uniontech.com>  Tue, 26 Nov 2024 10:10:31 +0800

displayjack (2.1.192) unstable; urgency=medium

  * Bug fix:
    + 276239 fix: A large number of invalid formats cause WPS to freeze

 -- yangtian <yangtian@uniontech.com>  Wed, 30 Oct 2024 15:54:41 +0800

displayjack (2.1.191) unstable; urgency=medium

  * Bug fix:
    + 275697 fix: add judgment of end chars.

 -- huangzeming <huangzeming@uniontech.com>  Sat, 12 Oct 2024 16:33:29 +0800

displayjack (2.1.190) unstable; urgency=medium

  * Bug fix:
    + 253143 fix: Fix the issue of ineffective quick and multiple copies of the clipboard

 -- dingzhixuan <dingzhixuan@uniontech.com>  Tue, 13 Aug 2024 16:49:15 +0800

displayjack (2.1.141) unstable; urgency=medium

  * Bug fix:
    + 262059 fix: the ctrl+c copy failure problem occurs with high probability in text editors

 -- yangtian <yangtian@uniontech.com>  Fri, 09 Aug 2024 10:40:00 +0800

displayjack (2.1.140) unstable; urgency=medium

  * Bug fix:
    + 259847 fix: Filter deeply convinced copy fields
    + 262239 fix: Fix the issue of w525 not being able to copy files

 -- yangtian <yangtian@uniontech.com>  Thu, 11 Jul 2024 14:17:34 +0800

displayjack (2.1.139) unstable; urgency=medium

  * Bug fix:
    + 261189 fix: dtk call get_window_position cause crash
    + 256241 fix: watermark dconfig is invalid

 -- yangtian <yangtian@uniontech.com>  Wed, 26 Jun 2024 13:06:02 +0800

displayjack (2.1.138) unstable; urgency=medium

  * Task:
    + 33135 feat: add icbc prohibitscreenshot
  * Bug fix:
    + 251711 fix: pgx in installation stage, choose opengl as the preferred target.

 -- huangzeming <huangzeming@uniontech.com>  Thu, 20 Jun 2024 20:55:41 +0800

displayjack (2.1.137) unstable; urgency=medium

  * Bug fix:
    + 331101 fix: modify bool to int

 -- dingzhixuan <dingzhixuan@uniontech.com>  Fri, 10 May 2024 15:59:30 +0800

displayjack (2.1.136) unstable; urgency=medium

  * Task:
    + 331101 feat: add kvm interface
  * Bug fix:
    + 252091 fix: copying big data clipboard does not generate records

 -- dingzhixuan <dingzhixuan@uniontech.com>  Thu, 09 May 2024 17:30:34 +0800

displayjack (2.1.36) unstable; urgency=medium

  * Bug fix:
    +   fix: Fix qq can not copy text issue

 -- huangzeming <huangzeming@uniontech.com>  Fri, 12 Apr 2024 16:56:41 +0800

displayjack (2.1.35) unstable; urgency=medium

  * Bug fix:
    +   fix: the problem that the clipboard has no selected content after selecting the terminal

 -- wangboyu <wangboyu@uniontech.com>  Mon, 08 Apr 2024 20:17:49 +0800

displayjack (2.1.34) unstable; urgency=medium

  * Bug fix:
    +   fix: Fix the issue of inability to copy after terminal selection

 -- wangboyu <wangboyu@uniontech.com>  Tue, 02 Apr 2024 17:58:49 +0800

displayjack (2.1.33) unstable; urgency=medium

  * Bug fix:
    +   fix: Modify After deleting the top data, copy the top data to the front end of the clipboard
    +   feat: add x11 clipboard

 -- wangboyu <wangboyu@uniontech.com>  Fri, 29 Mar 2024 18:20:49 +0800

displayjack (2.1.32) unstable; urgency=medium

  * Bug fix:
    +  fix: Fixed the logic of deleting top data and placing top second data

 -- wangboyu <wangboyu@uniontech.com>  Tue, 26 Mar 2024 16:53:49 +0800

displayjack (2.1.31) unstable; urgency=medium

  * Bug fix:
    +  feat: add wayland clipboard 

 -- wangboyu <wangboyu@uniontech.com>  Mon, 25 Mar 2024 17:02:49 +0800

displayjack (2.1.30) unstable; urgency=medium

  * Bug fix:
    + fix: slowly respond in GetAllWindowStatesList

 -- huangzeming <huangzeming@uniontech.com>  Wed, 06 Mar 2024 15:57:49 +0800

displayjack (2.1.29) unstable; urgency=medium

  * Task:
    + 316877 
  * Bug fix:
    + fix: remove screensaver detect form watermark

 -- dingzhixuan <dingzhixuan@uniontech.com>  Thu, 22 Feb 2024 17:12:34 +0800

displayjack (2.1.28) unstable; urgency=medium

  * Bug fix:
    + fix: add uos wechat in prohibit screenshot.

 -- huangzeming <huangzeming@uniontech.com>  Wed, 31 Jan 2024 17:12:04 +0800

displayjack (2.1.27) unstable; urgency=medium

  * Bug fix:
   + fix: block in function destroy_wayland_client

 -- wangboyu <wangboyu@uniontech.com>  Fri, 26 Jan 2024 18:12:05 +0800

displayjack (2.1.26) unstable; urgency=medium

  * Bug fix:
   + feat: add video-blacklist configuration

 -- wangboyu <wangboyu@uniontech.com>  Sun, 21 Jan 2024 21:22:05 +0800

displayjack (2.1.25) unstable; urgency=medium

  * Bug fix:
   + 316511 fix: change parameters of GetAllWindowStatesList

 -- huangzeming <huangzeming@uniontech.com>  Thu, 11 Jan 2024 17:14:05 +0800

displayjack (2.1.24) unstable; urgency=medium

  * Bug fix:
    + 231439 fix: coredump in destroy function of clipboard-ace
    + 238789 fix: correct model string of zhaoxin GPU

 -- huangzeming <huangzeming@uniontech.com>  Tue, 09 Jan 2024 16:26:51 +0800

displayjack (2.1.23) unstable; urgency=medium

  * Task:
    + 315387 feat: take zhaoxin into account in GetDevicePerformanceLevel

 -- huangzeming <huangzeming@uniontech.com>  Fri, 05 Jan 2024 18:55:25 +0800

displayjack (2.1.22) unstable; urgency=medium

  * Bug fix:
    + Bug fix:



=== debian/control ===
Source: displayjack
Section: libdevel
Priority: optional
Maintainer: Packages Builder <packages@deepin.com>
Build-Depends: debhelper-compat (= 12),
               cmake,
               extra-cmake-modules,
               libwayland-dev,
               pkg-config,
               xserver-xorg-core (>= 2:1.20.4.32),
               xserver-xorg-dev (>= 2:1.20.4.32),
               libx11-xcb-dev,
               libxcomposite-dev,
               libpolkit-gobject-1-dev,
               libdbus-glib-1-dev,
               libpolkit-qt5-1-dev,
               libkf5wayland-dev,
               libgtest-dev,
               libgmock-dev,
               qtbase5-dev,
               qtbase5-private-dev,
               libqt5x11extras5-dev,
               libxext-dev,
               doxygen,
               libsm-dev,
               libxcb1-dev (>= 1.10~),
               libxcb-xfixes0-dev (>= 1.10~),
               libxcb-util0-dev,
               libssl-dev
Standards-Version: 4.5.0

Package: libdisplayjack
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
Replaces:
 deepin-watermark,
 libdtkdisplay,
 xserver-xorg-core,
Conflicts:
 deepin-watermark,
 libdtkdisplay,
Provides:
 deepin-watermark,
 libdtkdisplay,
Description: Deepin Tool Kit display library
 libdisplayjack is base library of Deepin Qt/C++ applications.
 .
 This package contains the shared libraries.

Package: libdisplayjack-dev
Architecture: any
Depends:${misc:Depends}, libdisplayjack( =${binary:Version})
Description: Deepin Tool Kit display devel library
 libdisplayjack-dev is base devel library of Deepin Qt/C++ applications.
 .
 This package contains the header files and static libraries.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/default.mk

%:
	dh $@ --parallel

# override_dh_auto_configure:
#	dh_auto_configure -- -DVERSION=$(DEB_VERSION_UPSTREAM)

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_TESTING=OFF
